directory
List users
Lists users for the authenticated company. Page paginated.
GET
/
api
/
checkout
/
v2026-04
/
users
List users
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"pagination": {
"current_page": 123,
"per_page": 123,
"total_count": 123,
"total_pages": 123
},
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"user_companies": [
{
"active": true,
"affiliate": {
"credit": "<string>",
"email": "<string>",
"external_id": "<string>",
"id": 123,
"username": "<string>"
},
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"customer_id": 123,
"email": "<string>",
"external_id": "<string>",
"first_name": "<string>",
"full_name": "<string>",
"id": 123,
"image_url": "<string>",
"last_name": "<string>",
"legacy_number": null,
"metadata": {},
"mysite_url": "<string>",
"rank": "<string>",
"rank_id": 123,
"roles": [
"<string>"
],
"share_guid": "<string>",
"user": {
"addresses": [
{
"address1": "<string>",
"address2": null,
"address3": null,
"city": "<string>",
"country_code": "<string>",
"country_num_code": 123,
"default": true,
"id": 123,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"state": "<string>",
"subdivision_code": null
}
],
"avatar": null,
"bio": "<string>",
"country": {
"id": 123,
"iso": "<string>",
"name": "<string>"
},
"dnd": "<string>",
"dob": null,
"email": "<string>",
"facebook": null,
"first_name": "<string>",
"gender": null,
"google_id": null,
"id": 123,
"instagram": null,
"language": {
"id": 123,
"iso": "<string>",
"name": "<string>"
},
"last_name": "<string>",
"linkedin": null,
"phone": "<string>",
"time_zone": "<string>",
"twitter": null,
"user_type": "<string>",
"wechat": null,
"whatsapp": null,
"youtube": null,
"zip_code": null
},
"username": "<string>"
}
]
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Query Parameters
Page number
Required range:
x >= 1Number of records per page
Required range:
1 <= x <= 100Search query
Sort expression
User role filter
JSON-encoded metadata filters
⌘I
List users
